/*
 * Copyright (c) Smals
 */
package be.ehealth.business.common.util;

import org.junit.Assert;
import org.junit.Test;

import be.ehealth.business.common.domain.Patient;


/**
 * tests the {@link EidUtils} class.
 * 
 * @author EHP
 * 
 */
public class EidUtilsUserIntegrationTest {

    @Test
    public void testReadingFromEidCard() throws Exception {
        Patient patient = EidUtils.readFromEidCard();
        Assert.assertNotNull(patient.getEidCardNumber());
        Assert.assertNotNull(patient.getFirstName());
        Assert.assertNotNull(patient.getInss());
        Assert.assertNotNull(patient.getLastName());
        Assert.assertNotNull(patient.getMiddleName());
    }

}
